unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Msprite;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    MBSprite2: TMBSprite;
    MBSprite1: TMBSprite;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
    bitmap : tbitmap;
    spr1dir, spr2dir : integer;
    first : boolean;
implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
Bitmap := TBitmap.Create;
Bitmap.LoadFromFile('dino1.BMP');
spr1dir :=  1;
spr2dir := -1;
first := true;
end;

procedure TForm1.FormPaint(Sender: TObject);
var
  X, Y, W, H: LongInt;
begin
  form1.width := bitmap.width;
  form1.height := bitmap.height;
  with Bitmap do begin
    W := Width;
    H := Height;
  end;
  Y := 0;
  while Y < Height do begin
    X := 0;
    while X < Width do begin
      Canvas.Draw(X, Y, Bitmap);
      Inc(X, W);
    end;
    Inc(Y, H);
  end;
 if first then
   begin
      mbsprite1.showsprite(bitmap.canvas,canvas,0,190);
      mbsprite2.showsprite(bitmap.canvas,canvas,370,0);
      first := false;
   end;

  timer1.enabled := true;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
bitmap.free;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
if mbsprite2.currentframe+1 > mbsprite2.Numberofframes then
  mbsprite2.currentframe :=1
else
  mbsprite2.currentframe :=mbsprite2.currentframe+1;
mbsprite2.move(4*spr2dir,0);

if mbsprite1.currentframe+1 > mbsprite1.Numberofframes then
  mbsprite1.currentframe := 1
else
  mbsprite1.currentframe :=mbsprite1.currentframe+1;
mbsprite1.move(3*spr1dir,0);

if (mbsprite2.spritex + mbsprite2.width +1)< 0 then
        mbsprite2.showsprite(bitmap.canvas,canvas,form1.width+1,0);

if spr1dir = 1 then
    if form1.width - (mbsprite1.spritex + mbsprite1.width) < 10 then
    begin
       spr1dir :=-1;
       mbsprite1.currentstrip :=2;
    end;
if spr1dir = -1 then
    if mbsprite1.spritex <= 100 then
    begin
       spr1dir :=1;
       mbsprite1.currentstrip :=1;
    end;

end;

end.
